
Foreman - Bug #14097

Only run DatabaseCleaner as 'truncation' on JS tests

03/08/2016 09:59 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Tests   

Target version: 1.12.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3293

  

Description

Problem:

DatabaseCleaner runs after all integration tests, on truncation mode. However, for tests where we use rack-test instead of

poltergeist, this is not necessary and slows down the test suite.

Solution:

Mark the tests that use javascript and only run DatabaseCleaner on truncation mode on these, the rest of them can run in transaction

mode (faster).

Related issues:

Related to Foreman - Bug #14228: running single test fails due to FileUtils n... Closed 03/16/2016

Related to Salt - Bug #14273: Salt integration tets are failing Closed 03/18/2016

Related to Foreman - Bug #9138: Intermittent HostTest/NIC integration test fa... Duplicate 01/28/2015

Associated revisions

Revision 26dade0f - 03/16/2016 06:48 AM - Daniel Lobato Garcia

Fixes #14097 - Only run DatabaseCleaner truncation on JS tests

Problem:

DatabaseCleaner runs after all integration tests, on truncation mode.

However, for tests where we use rack-test instead of poltergeist, this

is not necessary and slows down the test suite.

Solution:

Mark the tests that use javascript and only run DatabaseCleaner on

truncation mode on these, the rest of them can run in transaction mode

(faster).

Some basic benchmarking of rake test:integration suggests this is 15% faster

than before this patch (before, 3m 42s avg, now 3m 09s avg).

Additionally this patch allows login to happen only once for integration

tests that require JS (it logged in twice before), and loads fewer

dependencies for integration tests when ran on isolation (rake test:integration)

History

#1 - 03/08/2016 11:56 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/3293 added

#2 - 03/16/2016 07:01 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
Applied in changeset 26dade0f18bba02430bec08283a47ba039173f37.

#3 - 03/16/2016 07:11 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#4 - 03/16/2016 08:40 AM - Dominic Cleal

- Related to Bug #14228: running single test fails due to FileUtils not being required added

#5 - 03/18/2016 11:32 AM - Stephen Benjamin

- Related to Bug #14273: Salt integration tets are failing added

#6 - 03/29/2016 04:15 AM - Dominic Cleal

- Related to Bug #9138: Intermittent HostTest/NIC integration test failures added
